# Uses of Enum
org.eclipse.birt.chart.model.attribute.LegendItemType

Packages that use LegendItemType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of LegendItemType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type LegendItemType
Modifier and Type
Field
Description
`static final List<LegendItemType>`
LegendItemType.`VALUES`
A public read-only list of all the 'Legend Item Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return LegendItemType
Modifier and Type
Method
Description
`static LegendItemType`
LegendItemType.`get(int value)`
Returns the 'Legend Item Type' literal with the specified integer value.
`static LegendItemType`
LegendItemType.`get(String literal)`
Returns the 'Legend Item Type' literal with the specified literal value.
`static LegendItemType`
LegendItemType.`getByName(String name)`
Returns the 'Legend Item Type' literal with the specified name.
`static LegendItemType`
LegendItemType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LegendItemType[]`
LegendItemType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of LegendItemType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return LegendItemType
Modifier and Type
Method
Description
`LegendItemType`
AttributeFactoryImpl.`createLegendItemTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LegendItemType`
AttributeFactoryImpl.`createLegendItemTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of LegendItemType in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return LegendItemType
Modifier and Type
Method
Description
`LegendItemType`
Legend.`getItemType()`
Returns the value of the 'Item Type' attribute.
Methods in org.eclipse.birt.chart.model.layout with parameters of type LegendItemType
Modifier and Type
Method
Description
`void`
Legend.`setItemType(LegendItemType value)`
Sets the value of the '`Item Type`' attribute.

## Uses of LegendItemType in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return LegendItemType
Modifier and Type
Method
Description
`LegendItemType`
LegendImpl.`getItemType()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type LegendItemType
Modifier and Type
Method
Description
`void`
LegendImpl.`setItemType(LegendItemType newItemType)`